<?php
/**
 * Template part for displaying home latest news section.
 *
 * @package Photomania
 */

?>
<?php
	$latest_news_title          = photomania_get_option( 'latest_news_title' );
	$latest_news_number         = photomania_get_option( 'latest_news_number' );
	$latest_news_column         = photomania_get_option( 'latest_news_column' );
	$latest_news_category       = photomania_get_option( 'latest_news_category' );
	$latest_news_excerpt_length = photomania_get_option( 'latest_news_excerpt_length' );
?>
<div id="latest-news" class="home-section-latest-news">
	<div class="container">

		<h2 class="section-title"><?php echo esc_html( $latest_news_title ); ?></h2>
		<?php
		$qargs = array(
			'posts_per_page' => absint( $latest_news_number ),
			'no_found_rows'  => true,
			);

		if ( absint( $latest_news_category ) > 0 ) {
			$qargs['cat'] = absint( $latest_news_category );
		}

		// Fetch posts.
		$the_query = new WP_Query( $qargs );
		?>
		<?php if ( $the_query->have_posts() ) : ?>
			<div class="inner-wrapper latest-news-wrapper latest-news-col-<?php echo absint( $latest_news_column ) ?>">
				<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
					<div class="latest-news-item">
					<div class="item-wrapper">

						<div class="latest-news-thumb">
						<div class="thumb-wrapper">
							<?php if ( has_post_thumbnail() ) : ?>
								<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'medium', array( 'class' => 'aligncenter' ) ); ?></a>
							<?php endif; ?>
							</div> <!-- .thumb-wrapper -->
						<div class="latest-news-meta">
							<span class="latest-news-date"><?php the_time( 'j M Y' ); ?></span>
						</div><!-- .latest-news-meta -->

						</div><!-- .latest-news-thumb -->
						<div class="latest-news-text-wrap">
							<h3 class="latest-news-title">
								<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							</h3><!-- .latest-news-title -->
							<?php
							$excerpt = photomania_the_excerpt( absint( $latest_news_excerpt_length ) );
							if ( $excerpt ) {
								echo wp_kses_post( wpautop( $excerpt ) );
							}
							?>
						</div><!-- .latest-news-text-wrap -->
						</div> <!-- .item-wrapper -->
					</div><!-- .latest-news-item -->
				<?php endwhile; ?>
			</div><!-- .latest-news-wrapper -->
			<?php wp_reset_postdata(); ?>

		<?php endif; ?>
	</div><!-- .container -->
</div><!-- .home-section-team -->
